/* Universal Styles */

* {
  box-sizing: border-box;
}

html {
  font-family: "Roboto", sans-serif;
  font-size: 16px;
}

body {
  margin: 0px;
  background-color: #f3f3f3;
}

.center {
  text-align: center;
}

.button {
  border-radius: 4px;
  background-color: #4a4a4a;
  color: white;
}

.image-container {
  overflow: hidden;
}


/* Header */

header {
  position: fixed;
  top:0px;
  left: 0px;
  width: 100%;
  background-color: white;
  border-bottom: 1px solid #979797;
  height: 5.3125rem;

}



header .logo {
  float: left;
  font-size: 1.5rem;
  font-family: 'Roboto Mono', monospace;
  color:#4a4a4a;
  margin-left: 1.875rem;
  padding-top: 1.90625rem;
  text-decoration: none;
}

.desktop nav  {
  float: right;
}


.desktop nav ul {

  margin:0;
  padding:0;
  list-style: none;
}

.desktop nav li {
  display: inline-block;
  margin-left: 3.75rem;
  padding-top: 2rem;
  
  
}

.desktop nav li a {
  font-size: 1rem;
  text-decoration: none;
  color: #4a4a4a;
  line-height: 1.6;
}

#icon {
  width: 1.3rem;
  height: 1.3rem;
  margin-inline: 0.9rem 1.875rem;
 
}

#tablet-button {
  display: none;
}

#tablet-header {
  display: none;
}

.content .mobile {
  display: none;
}

.container-img {
  width: 100%;
  height: auto;
  margin-top: 5.3125rem;
  margin-bottom: 4rem;
  background-image: url("../images/banner-landingpage.jpg");
  background-size: contain;
  background-repeat: no-repeat;
  
}



@media only screen and (max-width: 780px) {

  header {

    height: 4rem;
  }

  header .logo {
    margin-left: 1rem;
    padding-top: 1.5rem;
    
  }


  .desktop nav li {
    padding-top: 1.5rem;
    margin-left: 1.2rem;
    
  }


  .sign-up-cta {
    display: none;
  }

  #tablet-header {
    display:flex;  
    flex-direction: column;
    justify-content: center;
    align-items: center;
    line-height: 0.1rem;
    padding-top: 9rem;
  }

  #tablet-button {
    display: inline-block;
    padding: 0.1875rem 0.5rem;
    margin-right: 1rem;
    background-color: #9dc20b;
    line-height: 1.6;
    color: white;
    border-radius: 4px;
  }

  .container-img {

    height: 23.2rem;
    margin-bottom: 2rem;
  }

  #cursive {
    font-family: "Damion", cursive;
    color: #ffff;
    font-size: 2.25rem;
    
  }
  
  #striking {
    font-family: "Rubik", sans-serif;
    color:#ffff;
    font-size:  3.125rem;
  }

  
}

@media only screen and (max-width: 480px) {

  header {
    height: 3rem;
    position:sticky;
  }

  header .logo {
    display: none;
  }

  .content .desktop {
    display: none;
  }

  .content .mobile {
    display: inline-block;
    
  }

  .mobile nav ul {
    float: left;
    margin-top: 0;
    margin-left: 1rem;
    padding:0;
    list-style: none;
   
    
    
  }

  .mobile nav li {
    display: inline-block;
    margin-left: 0.5rem;
    margin-right: 4.5rem;
    padding-top: 1rem;
    
  }


   #tablet-button {
    display: inline-block;
    padding: 0.1875rem 0.5rem;
    background-color: #9dc20b;
    line-height: 1.6;
    color: white;
    border-radius: 4px;
    text-decoration: none;
    margin-top: 0.5rem;
    
  }

 
}

/* Sign Up Section */

#sign-up-section {
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
  height: 43.5rem;
  padding-block: 10.625rem;
  padding-left: 6.25rem;

}

.sign-up-cta {
  padding: 0 5rem;
  border: solid 1px #979797;
  border-radius: 4px;
  background-color: #9dc20b;
  
}

.sign-up-cta .content {
  width: 25.625rem;
  margin-top: 0;
  font-family: "Roboto", sans-serif;
  font-size: 1.25rem;
  line-height: 1.4;
  color: white;

}

.sign-up-cta h1 {
  font-size: 3.125rem;
  margin-block: 0;
}

.sign-up-cta h2 {
  font-size: 2.25rem;
  padding-top: 2rem;
  margin-block: 0;
}

.sign-up-cta span strong {
  font-weight: bold;
}

#cursive {
  font-family: 'Damion', cursive;
  
}

#striking {
  font-family: "Rubik", sans-serif;
  padding-bottom: 0.75rem;
  padding-top: 0.25rem;
}

.sign-up-cta .button {
  margin-top: 1.625rem;
  margin-bottom: 3.5rem;
  padding: 1.25rem 7.25rem;
  line-height: 1.4;
  
 
}

.sign-up-cta .email {
  padding-bottom:0;
}


@media only screen and (max-width: 480px) {

  .container-img {
    width: 100%;
    margin-top:0;
    padding:0;
    margin-bottom: 1rem;
    max-height: 12.875rem;
  }

  #tablet-header {
    line-height: 0.1rem;
    padding-top: 4rem;
  }

  #tablet-header h2 {
   font-size: 1.8rem;

  }

  #tablet-header h1 {

   font-size: 2.2rem;
  }

}


/* Features Section */

#features-section {
  display: flex;
  width: auto;
  gap: 2.5rem;
  justify-content: center;
  background-color: #f3f3f3;
  margin-top: 0;
  margin-bottom: 2.875rem;
}

.feature {
  display: flex;
  width: 38rem;
  height: 38rem;
  background-color: white;
  
}

.feature .image-container img {
  display: flex;
  width: 100%;
  height: 65%;
  padding: 2rem 2rem 2.5rem 2rem;
 
  
  
}

.feature .content {
  margin:0 0 3.125rem 0;
  padding: 0;
  display:inline-block;
  text-align: center;

  
}

.feature h2 {
  margin-top: 0;
  margin-bottom: 0.5rem;

  font-size: 2rem;
  line-height: 1.2;
  font-weight: bold;
  color: #4a4a4a;
  padding-inline: 1.5rem;
}

.feature h3 {
  font-family: 'Roboto', sans-serif;
  font-size: 1rem;
  line-height: 1.2;
  font-weight: 300;
  color: #4a4a4a;
  text-align: center;
  padding-inline: 1.5rem;
  margin-top: 0.2rem;
  
}

@media only screen and (max-width: 780px) {

  .feature {
    
    height: 28rem;

  }

  #features-section {

    gap:1rem;
    margin-inline: 0.5rem 0.5rem;
    margin-bottom: 1.5rem;
  }

  .feature .image-container img {

    width: 100%;
    height: auto;
    padding: 1rem 1rem 1rem 1rem;
    
  }

  .feature .content h3, h2 {
    text-align: left;
    margin-top: 0;
  }

 
}



/* Filters Section */

#filters-section {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: #4a4a4a;
  padding: 4rem 1%;

}

#filters-section .content {
  display: flex;
  flex-direction: column;
  margin-bottom: 4rem;
  line-height: 1.2;
  max-width: 525px;
  max-height: 100px;
  text-align: center;

}

#filters-section .content h2 {
  margin: 0;
  padding: 0;
  font-size: 2.25rem;
  font-weight: bold;
  color: white;
  
}

#filters-section .content h3 {
  padding: 0;
  font-size: 1rem;
  font-weight: 300;
  color: white;
  opacity: 100%;
  text-align: center;
  
}

#filters-section .image-containers {
  display: flex;
  flex-direction: row;
  width: 100%;
  height: 21.875rem;
  
}

.image-containers img {
  display: inline-flex;
  width: 100%;
  height: auto;
  
}

@media only screen and (max-width: 780px) {

  #filters-section {

    padding-bottom: 0;
    max-height: 25rem;
    
  }

  #filters-section .content {

    margin-bottom: 3.25rem;
  }
}



/* Quotes Section */

#quotes-section {
  display: flex;
  justify-content: center;
  background-color: #f3f3f3;
}

#quotes-section .content {
  display: inline-flex;
  padding: 5rem 0;
}

#quotes-section .quote {
  padding-right: 1.875rem;
  font-family: "Palatino", serif;
  font-size: 1.875rem;
  line-height: 1.1;
  font-style: italic;
  color: #4a4a4a;
  
}

#quotes-section .quote-citation {
  height: 1.875rem;
}

@media only screen and (max-width: 780px) {

  #quotes-section .quote {
    text-align: left;
    padding-left: 1rem;
  }

  #quotes-section .quote-citation {

    padding-right: 1rem;
  }
}

/* @media only screen and (max-width: 760px) {
  #quotes-section .content {
    padding: 1.875rem .625rem;
  }

  #quotes-section .quote {
    font-size: 1.5rem;
    line-height: 1.4;
  }

  #quotes-section .quote-citation {
    display: block;
    padding-top: 1rem;
    margin: auto;
  }
} */

/* Footer */

footer {
  background-color: #9b9b9b;
  padding: 1.5rem 2rem;
}

footer .content {
  color: white;
  display: flex;
  font-size: 0.75rem;
}

footer .copyright {
  flex-grow: 1;
}

/* @media only screen and (min-width: 760px) {
  footer .content {
    font-size: 0.625rem;
  }
} */

